#include "gui/dialog/dialog.h"
#include "gui/widgets/text.h"
#include "core/session.h"

#ifdef WIN32
# include "sys/win32/dark_theme.h"
#endif

void Dialog::showEvent(QShowEvent *event)
{
	QDialog::showEvent(event);
#ifdef WIN32
	win32::SetTitleBarsToBlack(session.config.theme.IsInDarkTheme());
#endif
}
